Pod-health probe (store reachable), with NO leadership check — the HA readiness probe, so a hot standby is healthy; 503 only when the store is down
GET
/pod-readyz
const url = 'https://example.com/pod-readyz';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/pod-readyzAnswers 200 when the process serves and the store is reachable, WITHOUT consulting leadership, so a hot standby is Ready to its orchestrator and a rolling update can progress. It answers 503 only when the store is down.
Authorizations
Section titled “Authorizations ”- None
Responses
Section titled “ Responses ”OK
Media type application/json
object
status
string
Example generated
{ "status": "example"}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}